SYSTEMD-ID128(1)

BEZEICHNUNG
systemd-id128 - sd-128-Kennungen erstellen und ausgeben

ÜBERSICHT

systemd-id128 [OPTIONEN…] new

systemd-id128 [OPTIONEN…] machine-id

systemd-id128 [OPTION…] boot-id

systemd-id128 [OPTIONEN…] invocation-id

BESCHREIBUNG

id128 kann zur bequemen Ausgabe von sd-id128(3)-UUIDs verwandt werden. Welche Kennung ausgegeben wird, hängt von dem speziellen Verb ab.

Mit new wird ein zufälliger Kennzeichner erstellt.

Mit machine-id wird der Kennzeichner der aktuellen Maschine ausgegeben. Siehe machine-id(5).

Mit boot-id wird der Kennzeichner des aktuellen Systemstarts ausgegeben.

Sowohl machine-id als auch boot-id können mit dem Schalter --app-specific=App-Kennung kombiniert werden, um anwendungsspezifische Kennungen zu erzeugen. Siehe sd_id128_get_machine(3) für eine Besprechung, wann dies nützlich ist.

Mit invocation-id wird der Kennzeichner des aktuellen Diensteaufrufs ausgegeben. Dieser ist in Systemd-Diensten verfügbar. Siehe systemd.exec(5).

OPTIONEN

Die folgenden Optionen werden verstanden:

-p, --pretty
    Ausgabe als Programmiersprachenschnippsel erstellen.

-a app-id, --app-specific=App-Kennung
    Mit dieser Option wird ein Kennzeichner ausgegeben, der das Ergebnis eines Hashes des Anwendungskennzeichners app-id und des Maschinenkennzeichners ist. Das Argument app-id muss eine gültige sd-id128-Zeichenkette sein, die die Anwendung identifiziert.

-h, --help
    Zeigt einen kurzen Hilfetext an und beendet das Programm.

--version
    Zeigt eine kurze Versionszeichenkette an und beendet das Programm.

EXIT-STATUS

Bei Erfolg wird 0 zurückgegeben, anderenfalls ein Fehlercode ungleich Null.

SIEHE AUCH

systemd(1), sd-id128(3), sd_id128_get_machine(3)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.